-- DROP TABLE IF EXISTS `sys_workflowreport`;
CREATE TABLE IF NOT EXISTS `sys_workflowreport` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `module` varchar(30) NOT NULL COMMENT 'module name',
  `name` varchar(100) NOT NULL COMMENT 'report name',
  `type` enum('pie', 'line', 'bar') NOT NULL DEFAULT 'pie' COMMENT 'report type',
  `countType` enum('sum', 'count') NOT NULL DEFAULT 'sum' COMMENT 'report count method',
  `displayType` enum('value', 'percent') NOT NULL DEFAULT 'value' COMMENT 'report display method',
  `dimension` varchar(130) NOT NULL COMMENT 'dimension field code of sys_workflowfield',
  `fields` text NOT NULL COMMENT 'count fileds code of sys_workflowfield,use comma split',
  `order` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  PRIMARY KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER TABLE `cash_mappingrelation` ADD `explanation` text NOT NULL COMMENT '凭证摘要' AFTER `saleType`;

ALTER TABLE `hr_salary` ADD `company` mediumint(8) unsigned NOT NULL AFTER `account`;
ALTER TABLE `hr_salary` ADD KEY `company` (`company`);

ALTER TABLE `sys_user` ADD `dispatch` enum('0', '1') NOT NULL DEFAULT '0' AFTER `noSalary`;
ALTER TABLE `sys_user` ADD `company` mediumint(8) unsigned NOT NULL AFTER `dispatch`;

ALTER TABLE `sys_workflowaction` ADD `status` varchar(10) NOT NULL DEFAULT 'enable' COMMENT '状态' AFTER `desc`;
ALTER TABLE `sys_workflowaction` ADD `blocks` text NOT NULL AFTER `toList`;
ALTER TABLE `sys_workflowaction` ADD `virtual` tinyint(1) unsigned NOT NULL AFTER `buildin`;

ALTER TABLE `sys_workflowdatasource` ADD `view` varchar(20) NOT NULL AFTER `datasource`;
ALTER TABLE `sys_workflowdatasource` ADD `keyField` varchar(50) NOT NULL AFTER `view`;
ALTER TABLE `sys_workflowdatasource` ADD `valueField` varchar(50) NOT NULL AFTER `keyField`;

ALTER TABLE `sys_workflowfield` ADD `expression` text NOT NULL COMMENT '公式' AFTER `control`; 
ALTER TABLE `sys_workflowfield` ADD `searchOrder` smallint(5) UNSIGNED NOT NULL DEFAULT '0' COMMENT '搜索顺序' AFTER `order`;
ALTER TABLE `sys_workflowfield` ADD `exportOrder` smallint(5) UNSIGNED NOT NULL DEFAULT '0' COMMENT '排序顺序' AFTER `searchOrder`;

ALTER TABLE `sys_workflowlabel` ADD `orderBy` text NOT NULL COMMENT '排序字段' AFTER `params`;

ALTER TABLE `sys_workflowdatasource` CHANGE `type` `type` enum('system', 'sql', 'func', 'option', 'lang', 'category') NOT NULL DEFAULT 'option';
ALTER TABLE `sys_workflowlayout` CHANGE `totalShow` `summary` varchar(20) NOT NULL;

ALTER TABLE `sys_workflowfield` DROP `isKey`;

UPDATE `sys_workflowfield`  SET `control` = 'richtext' WHERE `control` = 'textarea';
UPDATE `sys_workflowlayout` SET `summary` = ''         WHERE `summary` = '0';
UPDATE `sys_workflowlayout` SET `summary` = 'sum'      WHERE `summary` = '1';

UPDATE `sys_entry` SET `login` = CONCAT('../', `code`, '/') WHERE `code` IN ('crm', 'oa', 'proj', 'doc', 'cash', 'team', 'hr', 'psi', 'flow', 'ameba');
